
Foreman - Refactor #14791

Support callbacks for taxonomy controller actions

04/24/2016 12:31 PM - Shimon Shtein

Status: Ready For Testing   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3484

  

Description

Katello is using `alias_method_chain` in order to tap into #create and #destroy methods.

This leads to code duplication between foreman and katello, especially around results redirection.

For more information see issue http://projects.theforeman.org/issues/14369 . The fix will not be effective, if katello is enabled.

History

#1 - 04/25/2016 02:47 AM - Marek Hulán

- Category set to Organizations and Locations

#2 - 05/01/2016 10:54 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3484 added
